<?php

class SmotroonConfig
{
    const VERSION_MAJOR                     = '1';
    const VERSION_MINOR                     = '0';
    const VERSION_SUBMINOR                  = '0';
    const VERSION_DATE                      = '28.04.13';
    const VERSION_TIME                      = '00:00';

    const PLUGIN_PATH                       = '/persistfs/plugins/Smotroon';
    const PLUGIN_PATH_FLASH                 = '/flashdata/plugins/Smotroon';
    const SKINS_PATH                        = '/persistfs/plugins/Smotroon/skins';
    const SKINS_PATH_FLASH                  = '/flashdata/plugins/Smotroon/skins';

    const VOD_MOVIE_PAGE_SUPPORTED          = true;
    const VOD_FAVORITES_SUPPORTED           = true;
    const VOD_SECTION_SEARCH_SUPPORTED      = false;

    const PLUGIN_SITE_MAINPAGE              = 'http://www.smotroon.net';

    const VOD_CATEGORIES_URL                = 'http://www.smotroon.net';
    const VOD_CATEGORIES_DELIMITER          = "<li>";
    const VOD_CATEGORIES_DELIMITER_START    = "<ul class=\"dropdown-menu\">";
    const VOD_CATEGORIES_DELIMITER_END      = "</ul>";

    const MOVIE_LIST_URL_FORMAT             = 'http://www.smotroon.net/%s';
    const MOVIE_PAGE_URL_FORMAT             = 'http://www.smotroon.net/item/%s';

    const SEARCH_CATEGORY_MOVIE_LIST_URL_FORMAT         = 'http://www.ex.ua/search?%s&s=%s';
    const SEARCH_CATEGORY_MOVIE_LIST_PAGE_URL_FORMAT    = 'http://www.ex.ua/search?%s&s=%s&p=%s';
    const SEARCH_MOVIE_LIST_URL_FORMAT              = 'http://www.smotroon.net/component/search/?searchword=%s&ordering=alpha&searchphrase=all&areas[0]=sTitle&areas[1]=sTitleOrig';
    const SEARCH_MOVIE_LIST_PAGE_URL_FORMAT         = 'http://www.smotroon.net/component/search/?searchword=%s&ordering=alpha&searchphrase=all&areas[0]=sTitle&areas[1]=sTitleOrig&start=%s'; // No page split!

    const FAV_MOVIES_CATEGORY_CAPTION       = 'Избранное';
    const FAV_MOVIES_CATEGORY_ICON_PATH     = 'plugin_file://icons/smotroon_favorites.png';

}

?>
